Package: org.codehaus.groovy.grails.plugins.log4j

## [Groovy] Class EnvironmentsLog4JConfig

- org.codehaus.groovy.grails.plugins.log4j.EnvironmentsLog4JConfig

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Log4jConfig` | `config`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `EnvironmentsLog4JConfig (Log4jConfig config)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `java.lang.Object` | `development(groovy.lang.Closure callable)`
    `java.lang.Object` | `methodMissing(java.lang.String name, java.lang.Object args)`
    `java.lang.Object` | `production(groovy.lang.Closure callable)`
    `java.lang.Object` | `test(groovy.lang.Closure callable)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### Log4jConfig config

  - ### Constructor Detail

    - #### EnvironmentsLog4JConfig(Log4jConfig config)

  - ### Method Detail

    - #### java.lang.Object development(groovy.lang.Closure callable)

    - #### java.lang.Object methodMissing(java.lang.String name, java.lang.Object args)

    - #### java.lang.Object production(groovy.lang.Closure callable)

    - #### java.lang.Object test(groovy.lang.Closure callable)